IOSS 2.0

Classes | Functions | Variables
anonymous_namespace{shell_to_hex.C} Namespace Reference

## Classes
struct | Globals

## Functions
void | show_usage (const std::string &prog)
void | transfer_nodeblock (Ioss::Region &region, Ioss::Region &output_region, bool debug)
void | transfer_elementblock (Ioss::Region &region, Ioss::Region &output_region, bool debug)
void | transfer_properties (Ioss::GroupingEntity *ige, Ioss::GroupingEntity *oge)
void | output_normals (Ioss::Region &region, Ioss::Region &output_region, bool reverse_normals, double thickness)
void | calculate_normals (std::vector< double > &node_normal, int num_elem, int num_node_per_elem, std::vector< double > &coord, std::vector< int > &conn, bool reverse_normals)
void | file_copy (const std::string &inpfile, const std::string &input_type, const std::string &outfile, const std::string &output_type, Globals &globals)

## Variables
std::vector< char > | data
std::string | codename
std::string | version = "0.9"

## Function Documentation

## ◆ calculate_normals()

void anonymous_namespace{shell_to_hex.C}::calculate_normals | ( | std::vector< double > & | node_normal,
|  | int | num_elem,
|  | int | num_node_per_elem,
|  | std::vector< double > & | coord,
|  | std::vector< int > & | conn,
|  | bool | reverse_normals
| ) |  |

## ◆ file_copy()

void anonymous_namespace{shell_to_hex.C}::file_copy | ( | const std::string & | inpfile,
|  | const std::string & | input_type,
|  | const std::string & | outfile,
|  | const std::string & | output_type,
|  | Globals & | globals
| ) |  |

## ◆ output_normals()

void anonymous_namespace{shell_to_hex.C}::output_normals | ( | Ioss::Region & | region,
|  | Ioss::Region & | output_region,
|  | bool | reverse_normals,
|  | double | thickness
| ) |  |

## ◆ show_usage()

void anonymous_namespace{shell_to_hex.C}::show_usage | ( | const std::string & | prog | ) |

## ◆ transfer_elementblock()

void anonymous_namespace{shell_to_hex.C}::transfer_elementblock | ( | Ioss::Region & | region,
|  | Ioss::Region & | output_region,
|  | bool | debug
| ) |  |

## ◆ transfer_nodeblock()

void anonymous_namespace{shell_to_hex.C}::transfer_nodeblock | ( | Ioss::Region & | region,
|  | Ioss::Region & | output_region,
|  | bool | debug
| ) |  |

## ◆ transfer_properties()

void anonymous_namespace{shell_to_hex.C}::transfer_properties | ( | Ioss::GroupingEntity * | ige,
|  | Ioss::GroupingEntity * | oge
| ) |  |

## Variable Documentation

## ◆ codename

std::string anonymous_namespace{shell_to_hex.C}::codename

## ◆ data

std::vector<char> anonymous_namespace{shell_to_hex.C}::data

## ◆ version

std::string anonymous_namespace{shell_to_hex.C}::version = "0.9"